Name: gpdf
Summary: viewer for Portable Document Format (PDF) files for GNOME
Version: 0.110
Release: 1.4.legacy
Group: Applications/Publishing
License: GPL
Source: gpdf-%{version}.tar.bz2

# Fedora Legacy Security Patches
Patch0: xpdf-2.01-CAN-2004-0888-CAN-2004-0889.patch
Patch1: xpdf-2.02-CAN-2004-1125.patch
Patch2: xpdf-2.03-CAN-2005-0064.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui-devel >= 2.4.0
BuildRequires: libgnomeprint22-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: gettext
Requires: libgnomeprint22
Requires: libgnomeprintui22

%description
This is GPdf, a viewer for Portable Document Format (PDF) files for
GNOME. GPdf is based on the Xpdf program and uses additional GNOME
libraries for better desktop integration.

GPdf includes the gpdf application, a Bonobo control for PDF display
which can be embedded in Nautilus, and a Nautilus property page for
PDF files.

%prep
%setup -q
# Fedora Legacy Security Patches
%patch0 -p1 -b .can088x
%patch1 -p1 -b .can1125
%patch2 -p1 -b .can0064

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/gpdf.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING CHANGES NEWS AUTHORS README README.GPdf
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_datadir}/applications/*
%{_datadir}/application-registry/gpdf.applications
%{_datadir}/gpdf/
%{_datadir}/mime-info/gpdf.keys

%changelog
* Wed Jan 19 2005 Rob Myers <rob.myers@gtri.gatech.edu> 0.110-1.4.legacy
- patch for CAN-2005-0064 (FL #2353)
- use better patch for CAN-2004-1125

* Wed Dec 22 2004 Rob Myers <rob.myers@gtri.gatech.edu> 0.110-1.3.legacy
- add patch for CAN-2004-1125 (FL #2353)

* Tue Nov 30 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.110-1.2.legacy
- Added missing gettext BuildRequires

* Thu Oct 28 2004 Rob Myers <rob.myers@gtri.gatech.edu> 0.110-1.1.legacy
- patch for CAN-2004-0888 CAN-2004-0889 (FL #2186, #2195)

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.110-1
- Initial spec


